/* Default for iPhone 5 */
/* Other tested: iPhone X,  */

@font-face {
    font-family: 'Bellefair';
    src: url('https://adrianayalejandro.com/resources/fonts/Bellefair.woff2') format('woff2');font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MonsieurLaDoulaise';
    src: url('https://adrianayalejandro.com/resources/fonts/MonsieurLaDoulaise-Regular.woff2') format('woff2');font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'TAN Mon Cheri';
    src: url('https://adrianayalejandro.com/resources/fonts/TAN Mon Cheri.woff2') format('woff2');font-weight: normal;
    font-style: normal;
    font-display: swap;
}


/* General styles */
body, html {
    margin: 0px;
    padding: 0px;
    height: 100%;
    background-color: #d5cdc1;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
}

body.no-scroll {
    overflow: hidden; /* Prevent scrolling */
}

a {
    color: unset;
    text-decoration: none;
}

.container {
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    cursor: default;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 60px;
    transition: all 0.5s ease-in-out; /* Smooth transition */
}

.content {
    text-align: center;
}

.page_title {
    margin-top: 100px;
}

.big_card {
    background-color: #F6F4F0;
    padding: 50px;
    width: 844px;
    position: relative;
}

.small_card {
    background-color: #F6F4F0;
    padding: 50px;
    width: 500px;
    position: relative;
}

.shadow {
    box-shadow: 0px 5px 24px rgba(3, 7, 18, 0.18);
    -webkit-box-shadow: 0px 5px 24px rgba(3, 7, 18, 0.18);
}

.object_shadow {
    filter: drop-shadow(0px 5px 24px rgba(3, 7, 18, 0.18));
    -webkit-filter: drop-shadow(0px 5px 24px rgba(3, 7, 18, 0.18));
}

.logo_main {
    width: 130px;
    margin-top: 2rem;
}

.wax_seal_main {
    width: 80px;
    margin: -35px auto;
    z-index: 2;
}

.wax_seal_secondary {
    transform: rotate(8deg);
    width: 80px;
    margin: 30px -30px -105px auto;
    z-index: 2;
}

.wax_seal_container {
    display:flex;
    transition: all 1s ease-in-out;
}

.ws_closed {
    margin-top: 0px;
}

.ws_open {
    margin-top: -100px;
}


h1, h2, h3 {
    margin: 0;
    padding: 0;
    font-weight: 100;
}

hr {
    width: 120px;
    margin: 2rem auto 2.5rem;
}

.full_screen {
    height: 100vh;
    align-content: center;
    display: flex;
}

.full_image {
    width: 100%;
    background-position: center 32%;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 0;
    position: relative;
}

.full_image_scroll {
    background-attachment: scroll;
}

.card_top_margin {
    margin-top: 65px;
}

.floral_shadow {
    background-image: url(/resources/images/corner_shadow.png);
    background-size: contain;
    background-repeat: no-repeat;
    padding-bottom: 1px;
}

.paper_texture {
    position: relative; /* Ensure the parent element has a position context */
    width: 100%; /* Ensure the parent element has a defined width */
    height: 100%; /* Ensure the parent element has a defined height */
    overflow: hidden; /* Removes space from hidden sections */
}

.paper_texture::before {
    content: '';
    background-image: url(/resources/images/texture2.png);
    background-size: auto;
    background-repeat: repeat;
    opacity: .44;
    z-index: 0;
    position: absolute;
    width: 100%;
    height: 102%;
}

.section_title {
    font-family: "Bellefair";
    font-size: 20px;
    margin: auto auto 25px;
}

.event_container {
    margin: 38px auto;
}

.event_date {
    font-family: "Bellefair";
    font-size: 15px;
    margin: auto auto 20px;
}

.event_title {
    font-family: "Bellefair";
    font-size: 21px;
    opacity: .75;
}

.event_venue {
    font-family: "Bellefair";
    font-size: 25px;
    margin: 8px auto;
}

.event_time {
    font-family: "Bellefair";
    font-size: 18px;
    margin: auto auto 16px;
}

.page_signature {
    font-family: "Bellefair";
    font-size: 20px;
    text-align: center;
    margin: 90px auto 80px;
    letter-spacing: 18px;
    -webkit-user-select: none;
    user-select: none;
    -moz-user-select: none;
    cursor: default;
    opacity: .52;
}

.envelope_bg {
    position: absolute;
    width: 100vw;
    display: flex;
    overflow: hidden;
}

.envelope {
    width: 800px;
    margin: auto;
    position: relative;
    z-index: -1;
}

.dresscode_button {
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    cursor: pointer;
    margin: auto;
}

.dresscode_bar {
    width: 5%;
    background: black;
    height: 1px;
    transition: .2s ease-in-out;
}

.dresscode_button:hover .dresscode_bar {
    width: 100%;
}

.dresscode_bar.visible {
    width: 100%;
}

.dresscode_example {
    width: 100%;
}

.dresscode_gender {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease, visibility 0.5s ease;
    height: 0;
}

.dresscode_gender.visible {
    opacity: 1;
    visibility: visible;
    height: auto;
}

.back_button {
    all: unset;
    font-family: Playfair Display;
    font-style: italic;
    color: gray;
    font-size: 13px;
    cursor: pointer;
    position: absolute;
    right: 0px;
    margin-right: 50px;
}

/* GALLERY */
.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 10px;
    width: 90%;
    margin: 20px auto;
    grid-auto-rows: 10px;
}

.gallery img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
    transition: transform 0.3s;
    border-radius: 8px;
    grid-row: span 30;
}

.gallery img:nth-child(2n) {
    grid-row: span 20;
}

.gallery img:nth-child(3n) {
    grid-row: span 40;
}

.gallery img:hover {
    transform: scale(1.05);
}

.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 1000;
    animation: fadeIn 0.5s;
}

.lightbox.active {
    display: flex;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

.lightbox-img {
    max-width: 90%;
    max-height: 90%;
    animation: zoomIn 0.5s;
}

@keyframes zoomIn {
    from {
        transform: scale(0.5);
    }
    to {
        transform: scale(1);
    }
}

.close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 30px;
    color: white;
    cursor: pointer;
}

.nav-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 30px;
    color: white;
    cursor: pointer;
}

.left-arrow {
    left: 20px;
}

.right-arrow {
    right: 20px;
}



/* Desktop styles */
h1 {
    font-family: "TAN Mon Cheri";
    font-size: 5em;
    letter-spacing: 1rem;
}

h2 {
    font-family: "TAN Mon Cheri";
    font-size: 2em;
    letter-spacing: 2rem;
    margin-top: -0.5rem;
}

h3 {
    font-family: "MonsieurLaDoulaise";
    font-size: 5em;
    margin-top: -1rem;
    margin-bottom: 1.6rem;
}

.date {
    font-family: "Bellefair";
    font-size: 1.3em;
    letter-spacing: .7rem;
    margin: 8px auto;
}

.date_wrapp {
    margin: 95px auto;;
}

.location {
    font-family: "Bellefair";
    font-size: 1rem;
}

.parent_table{
    display: flex;
    width: 100%;
}

.parent_table_side {
    width: 50%;
}

.regular_text {
    font-family: "Bellefair";
    font-size: 1.2rem;
}

.left_fwr_wrapper {
    position: relative;
    width: 800px;
    height: 100px;
    overflow: hidden;
}

.leaf_outer_container {
    max-width: 100vw;
}

.leaf_container {
    position: relative;
    width: 310px;
    overflow: hidden;
    height: 196px;
    align-self: baseline;
    opacity: 0.4;
}

.link {
    font-family: Playfair Display;
    font-style: italic;
    color: gray;
    font-size: 13px;
}

.left_leaf {
    position: absolute;
    transform: scale(-1, 1);
    bottom: -111px;
    width: 310px;
    right: -65px;
}

.right_leaf {
    position: absolute;
    left: -58px;
    bottom: -191px;
    width: 310px;
}

.attire_section {
    display: flex;
    margin: 25px;
    font-family: "Bellefair";
    font-size: 19px;
}

.left_attire {
    margin: auto 40px auto auto;
}

.right_attire {
    margin: auto auto auto 40px;
}

.attire_gender {
    font-size: 20px;
    font-family: Playfair Display;
    font-style: italic;
}

.menu_bar {
    display: none;
    opacity: 0;
    font-family: "Bellefair";
    font-size: 19px;
    background-color: white;
    position: fixed;
    width: 100%;
    padding: 10px;
    z-index: 10;
    transition: all 0.5s ease-in-out; /* Smooth transition */

}

.web_options {
    display: flex;
}

.mobile_options {
    display: none;
}

.web_menu_option {
    margin: auto 25px;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    cursor: pointer;
    transition: .1s ease-in-out;
}

.web_menu_option:hover {
    color: purple;
}

.mobile_menu_screen_bg {
    display: none;
}

.mobile_menu_screen_option {
    display: none;
}

/* Section Control */
.section {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    width: 100%;
    transition: opacity 1s ease-out, visibility 1s ease-out;
}

.section.active {
    opacity: 1;
    visibility: visible;
    position: relative;
}

/* Animations */
.appear-once {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 1.5s ease-out, transform 1.5s ease-out;
}

.appear-once.visible {
    opacity: 1;
    transform: translateY(0);
}

.appear-once-seal {
    opacity: 0;
    transform: scale(1.2, 1.2);
    transition: all 1.5s ease-out;
}

.appear-once-seal.visible {
    opacity: 1;
    transform: scale(1, 1) rotate(8deg);
}

.section_description {
    font-family: "Bellefair";
    font-size: 18px;
    color: gray;
    margin: -16px auto 30px;
}


/* Mobile styles */
@media (max-width: 768px) {
    h1 {
        font-size: 2em;
        letter-spacing: 0.5rem;
    }

    h2 {
        font-size: 1.2em;
        letter-spacing: 1rem;
        margin-top: 0rem;
    }

    h3 {
        font-size: 3em;
        margin-top: -0.5rem;
        margin-bottom: 1.5rem;
    }

    .date {
        font-size: 1em;
        letter-spacing: 0.5rem;
    }

    .date_wrapp {
        margin: 100px auto 65px;
    }

    hr {
        width: 80px;
        margin: 1.5rem auto 2rem;
    }

    .location {
        font-size: 1em;
    }
    
    .full_image {
        background-attachment: unset;
    }

    .big_card, .small_card {
        width: auto;
        padding: 50px 15px;
    }

    .web_options {
        display: none;
    }

    .mobile_options {
        display: flex;
    }

    .ws_open {
        margin-top: -180px;
    }

    .mobile_menu_option {
        font-family: "Bellefair";
        font-size: 16px;
        letter-spacing: 8px;  
        margin-right: auto;     
    }


    /* BURGER MENU */
    .burger-menu {
        width: 25px;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 15px;
        margin: auto 22px;
    }

    .bar {
        width: 100%;
        height: 2px;
        background-color: #717171;
        transition: all 0.3s ease;
    }

    .burger-menu.open .bar:nth-child(1) {
        transform: translateY(7px) rotate(45deg);
    }

    .burger-menu.open .bar:nth-child(2) {
        opacity: 0;
    }

    .burger-menu.open .bar:nth-child(3) {
        transform: translateY(-6px) rotate(-45deg);
    }

    .mobile_menu_screen_bg {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #f6f4f0;
        align-items: center;
        justify-content: center;
        z-index: 9;
        padding: 50px;
        font-family: "Bellefair";
        font-size: 22px;
        align-content: center;
        transition: all .2s ease-in-out;
        opacity: 0;
        visibility: hidden; /* Initially hidden */
    }

    .mobile_menu_screen_bg.open {
        visibility: visible; /* Make visible */
        opacity: 1;
    }

    .mobile_menu_screen_option {
        display: block;
        padding: 20px;
    }
}